/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { QuotaDto } from './quota-dto';

/**
 * Represents the data transfer object (DTO) for RDS S3 options.
 * @export
 * @interface RdsS3OptionsDto
 */
export interface RdsS3OptionsDto {
    /**
     * The name of the bucket associated with RDS S3.
     * @type {string}
     * @memberof RdsS3OptionsDto
     */
    'bucketName': string;
    /**
     * The access key for reading from the RDS S3 bucket.
     * @type {string}
     * @memberof RdsS3OptionsDto
     */
    'accessKeyRead': string;
    /**
     * The secret key for reading from the RDS S3 bucket.
     * @type {string}
     * @memberof RdsS3OptionsDto
     */
    'secretKeyRead': string;
    /**
     * The access key for writing to the RDS S3 bucket.
     * @type {string}
     * @memberof RdsS3OptionsDto
     */
    'accessKeyWrite': string;
    /**
     * The secret key for writing to the RDS S3 bucket.
     * @type {string}
     * @memberof RdsS3OptionsDto
     */
    'secretKeyWrite': string;
    /**
     * The endpoint for the RDS S3 bucket.
     * @type {string}
     * @memberof RdsS3OptionsDto
     */
    'endpoint': string;
    /**
     * 
     * @type {QuotaDto}
     * @memberof RdsS3OptionsDto
     */
    'size'?: QuotaDto;
}

